Enhavo

# InputBox Function

Vidigas inviton en dialogo ĉe kiu la uzanto enigu tekston. La entajpaĵo atribuiĝas al variablo.

La komando InputBox estas konvena metodo enigi tekston per dialogo. Konfirmu la enigon alklakante Akcepti aŭ premante Enigi. La enigo liveriĝas kiel la funkcia livera valoro. Se oni fermas la dialogon per Rezigni, InputBox liveras nulo-longan ĉenon ("").

### Syntax:

    InputBox (Prompt As String[, Title As String[, Default As String[, xpostwips As Integer, ypostwips As Integer]]]) As String

### Parameters:

prompt: String expression displayed as the message in the dialog box.

title: String expression displayed in the title bar of the dialog box.

default: String expression displayed in the text box as default if no other input is given.

xpostwips: Integer expression that specifies the horizontal position of the dialog. The position is an absolute coordinate and does not refer to the window of LibreOffice.

ypostwips: Integer expression that specifies the vertical position of the dialog. The position is an absolute coordinate and does not refer to the window of LibreOffice.

If xpostwips and ypostwips are omitted, the dialog is centered on the screen. The position is specified in twips.

### Return type:

Ĉeno

### Example:

    Sub ExampleInputBox
    Dim sText As String
        sTeksto = InputBox ("Bonvolu entajpi frazon:","Kara Uzanto")
        MsgBox ( sTeksto , 64, "Konfirmo de frazo")
    End Sub